r165 - multipath-tools/trunk/debian

Bastian Blank waldi at costa.debian.org
Mon Sep 19 13:25:32 UTC 2005


Author: waldi
Date: Mon Sep 19 13:25:31 2005
New Revision: 165

Added:
   multipath-tools/trunk/debian/multipath-tools.postinst
   multipath-tools/trunk/debian/multipath-tools.postrm
   multipath-tools/trunk/debian/multipath-tools.preinst
Log:
* debian/multipath-tools.postinst: Add. Link rules file on installation.
* debian/multipath-tools.postrm: Add. Remove rules file link on purge.
* debian/multipath-tools.preinst: Add. Remove old rcS link on upgrade.


Added: multipath-tools/trunk/debian/multipath-tools.postinst
==============================================================================
--- (empty file)
+++ multipath-tools/trunk/debian/multipath-tools.postinst	Mon Sep 19 13:25:31 2005
@@ -0,0 +1,26 @@
+#! /bin/sh
+# postinst script for multipath-tools
+
+set -e
+
+case "$1" in
+    configure)
+	if [ -z "$2" ] || dpkg --compare-versions "$2" lt "0.4.5-1"; then
+	    ln -s ../multipath.rules /etc/udev/rules.d
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+

Added: multipath-tools/trunk/debian/multipath-tools.postrm
==============================================================================
--- (empty file)
+++ multipath-tools/trunk/debian/multipath-tools.postrm	Mon Sep 19 13:25:31 2005
@@ -0,0 +1,22 @@
+#! /bin/sh
+# postrm script for multipath-tools
+
+set -e
+
+case "$1" in
+    purge)
+        [ -L /etc/udev/rules.d/multipath.rules ] && rm -f /etc/udev/rules.d/multipath.rules
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Added: multipath-tools/trunk/debian/multipath-tools.preinst
==============================================================================
--- (empty file)
+++ multipath-tools/trunk/debian/multipath-tools.preinst	Mon Sep 19 13:25:31 2005
@@ -0,0 +1,29 @@
+#! /bin/sh
+# preinst script for multipath-tools
+
+set -e
+
+case "$1" in
+    install)
+    ;;
+
+    upgrade)
+	if dpkg --compare-versions "$2" lt "0.4.5-1"; then
+	    [ -e /etc/rcS.d/S04multipath-tools ] && rm /etc/rcS.d/S04multipath-tools
+	fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+



More information about the pkg-lvm-commits mailing list